package com.sun.solarisinstall.postinstall.tasks;

import java.util.*;
import java.io.*;

/**
 * InstallTag encapsulates information about a package or a patch
 * to be installed. It enables a client of Package/Patch Install
 * Wizard to organize a list of packages/patches/scripts to be
 * installed into a single collection with implied order of installing
 * for elements in the collection.
 *
 * @author Linh Vuong
 * @version 1999.02.26
 */
public class InstallTag implements Serializable
{

  /**
   * The name of package/patch/script represented by this tag
   *
   */
  private String name = "UNNAMED";

  /**
   * The type of installable unit represented by this tag
   *
   */
  private String type = "";

  /**
   * Create a generic new tag
   *
   */
  public InstallTag()
    {
    }

  /**
   * Create a new InstallTag with desired name and type
   *
   * @param name The name of unit to be installed
   * @param type The type of unit (e.g. package, patch, script)
   */
  public InstallTag(String name, String type)
    {
      setName(name);
      setType(type);
    }

  /**
   * Get the name of this tag
   *
   * @param name The name of unit to be installed
   */
  public String getName()
    {
      return name;
    }

  /**
   * Set the name of this tag
   *
   * @param name The name of unit to be installed
   */
  public void setName(String name)
    {
      this.name = name;
    }

  /**
   * Get the type of this tag
   *
   * @param type The type of unit to be installed
   */
  public String getType()
    {
      return type;
    }

  /**
   * Set the type of this tag
   *
   * @param type The type of unit to be installed
   */
  public void setType(String type)
    {
      this.type = type;
    }

}
